import numpy
import torch
from torch import nn


class weight_nn(nn.Module):
    def __init__(self,in_dim):
        super().__init__()
        self.weight_hidden = nn.Linear(in_dim, 32)
        self.weight_output = nn.Linear(32, in_dim)



    def forward(self,x):
        x_1 = x.clone()
        x_1_0 = x_1.clone()
        x_1 = self.weight_hidden(x_1)
        x_1 = self.weight_output(x_1)
        x_1 = nn.functional.softmax(x_1, dim = 1)
        x_1 = x_1 * x_1_0
        ### the x_1 dim = in_dim
        return x_1
