import Orange
# import orngStat
import matplotlib
matplotlib.use('TkAgg')
import matplotlib.pyplot as plt
import pandas as pd
import numpy as np


data=pd.read_csv("averagerank.csv")
data=data.to_numpy()
avranks=np.zeros(data.shape[0])
for i in range(avranks.shape[0]):
    avranks[i]=data[i][1]
# Adam-LDL-SCL x^2
names = ['SMOTE', 'SMOTE-ENN', 'SMOTE-TL', 'B1-SMOTE', 'ADASYN','BC','SVM-CS','GDO','GEV-NN', 'DAE-WGAN']

# tested on 6 datasets
cd = Orange.evaluation.compute_CD(avranks, 33, alpha='0.05', test='bonferroni-dunn') 
print('cd=', cd)
Orange.evaluation.graph_ranks(avranks, names, cd=cd, width=8, cdmethod=9, reverse=True)
# Orange.evaluation.graph_ranks(avranks, names, cd=cd, width=8, reverse=True)
# Reverse indicates that the graph is drawn in the order that the average ranking of the algorithm increases from left to right
# Cdmethod is the index of the control algorithm. If not specified, each algorithm will mark its CD range
plt.show()
