import pandas as pd
import numpy as np
import math


data=pd.read_csv("data.csv")
##   the row  index is dataset
##   the column index is algorithm
data_n=data.to_numpy()
ranks=np.zeros((data_n.shape[0],data_n.shape[1]-1))
for s in range(data_n.shape[0]):
    arr=data_n[s][1:]
    tmp=np.zeros(arr.shape[0])
    for gg in range(arr.shape[0]):
        tmp[gg]=arr[gg]
    #arr.sort(kind='quicksort',reverse=True)
    arr=arr[np.argsort(-arr)]
    cur=1
    left_p=-1
    right_p=-1
    while(right_p<arr.shape[0]):
        right_p=right_p+1
        if(right_p>=arr.shape[0]):
            break
        left_p=right_p
        while(right_p+1<arr.shape[0] and arr[right_p+1]==arr[left_p]):
            right_p=right_p+1
        ###the range [left_p,right_p] is all same
        lens=right_p-left_p+1
        rr=1.0*(2*cur+lens-1)/2
        cur=cur+lens
        for gg in range(tmp.shape[0]):
            if(tmp[gg]==arr[left_p]):
                ranks[s][gg]=rr


#### get the ranks matrix
R=ranks.mean(axis=0)
print("R is:",R)

ss=[]
for i in range(R.shape[0]):
    ss.append(R[i])
ss=pd.DataFrame(ss)
ss.to_csv("averagerank.csv")

N=ranks.shape[0]
K=ranks.shape[1]

sum_s=0
for i in range(R.shape[0]):
    sum_s=sum_s+R[i]*R[i]
ttt=(K)*(K+1)
ggg=ttt*(K+1)

kai=12*(N)*(sum_s-ggg/4)/(ttt)
FF=(N-1)*kai/(N*(K-1)-kai)

##the critical value is 1.8
### our FF=17  obvious  reject the null hypothetic



## the post-hoc test
z=np.zeros(K-1)
for i  in range(K-1):
    z[i]=(R[i]-R[K-1])/math.sqrt((K*(K+1)/(6*N)))
print(z)


df=[]
for i in range(z.shape[0]):
    df.append(z[i])

df=pd.DataFrame(df)
df.to_csv("cur.csv")