import torch
import torch.nn as nn
class discriminator(nn.Module):
    def __init__(self, in_dim):
        super().__init__()

        self.fc1 = nn.Linear(in_dim, 250)
        self.fc2 = nn.Linear(250, 512)
        self.fc3 = nn.Linear(512, 128)
        self.fc4 = nn.Linear(128, 1)

    def forward(self, x):
        x = torch.sigmoid(self.fc1(x))
        x = torch.sigmoid(self.fc2(x))
        x = torch.sigmoid(self.fc3(x))
        x = torch.sigmoid(self.fc4(x))
        return x